Description

I am trying to provision my EC2 instances using foreman . I can create it ( passed on either modifying defualt finish template or

user-data template). When the instance get created , can see from the console log it is being restarted as per the create process and

in login prompt.

I have couple of doubt here,

How can I be sure my defined templates are being used  while instance bootstrap ?

Now , about the login , I am not sure about the process here when foreman created a keypair as seen in aws console.

History

#1 - 11/12/2014 03:55 AM - Dominic Cleal

- Status changed from New to Feedback

The foreman-users mailing list or IRC channel may be better for general questions than here, you'll get a wider audience.

You can see which templates are used by clicking the Resolve button on the OS tab when creating the host, or by looking at the Templates tab on the

host page after creation.

To log in yourself, either create user accounts through a Puppet module or add your own SSH keys or accounts in the finish script or user data.  I'd

probably do both - put emergency SSH keys in the finish script, and normal user accounts via Puppet.

#2 - 11/12/2014 03:58 AM - Biswajit Banerjee

Thanks, Will do that.

#3 - 11/12/2014 04:08 AM - Dominic Cleal

- Status changed from Feedback to Resolved

Powered by TCPDF (www.tcpdf.org)

05/20/2024 1/1

http://www.tcpdf.org

